<template>
  <div>
    <v-card v-if="loading" class="px-6 py-8">
      <div class="text-center">
        <v-progress-circular
          indeterminate
          color="primary"
        ></v-progress-circular>
      </div>
    </v-card>
    <div v-else class="px-6 py-8 white">
      <v-row>
        <v-col md="6">
          <h3>{{ instructor.name }}</h3>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12">
          <h4>Dados Pessoais</h4>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6"> Idade: {{ age }} </v-col>
        <v-col sm="12" md="6"> Sexo: {{ sex }} </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6"> CPF: {{ instructor.cpf }} </v-col>
        <v-col sm="12" md="6"> CNH: {{ instructor.cnh }} </v-col>
      </v-row>
      <v-row>
        <v-col sm="12">
          <h4>Endereço</h4>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6">
          Logradouro: {{ instructor.address }}, n° {{ instructor.number }}
        </v-col>
        <v-col sm="12" md="6"> Bairro: {{ instructor.neiborhood }} </v-col>
      </v-row>
      <v-row>
        <v-col sm="12">
          <h4>Contato</h4>
        </v-col>
      </v-row>
      <v-row>
        <v-col sm="12" md="6"> Celular: {{ instructor.cellphone }} </v-col>
        <v-col v-if="instructor.phone" sm="12" md="6">
          Telefone: {{ instructor.phone }}
        </v-col>
      </v-row>

      <v-row>
        <v-col sm="12" md="6"> Email: {{ instructor.email }} </v-col>
      </v-row>
    </div>
  </div>
</template>

<script>
import constants from "../constants";
import helpers from "../helpers";

export default {
  name: "InstructorDetails",
  props: {
    closeDialog: Function,
    instructorId: Number,
  },
  created() {
    this.$store.dispatch("getInstructorById", this.instructorId);
  },
  computed: {
    loading() {
      return this.$store.state.instructor.loading;
    },
    instructor() {
      return this.$store.state.instructor.instructorSelected;
    },
    age() {
      return helpers.calcAge(this.instructor.bornDate);
    },
    sex() {
      return constants.sex.find((type) => type.value === this.instructor.sex)
        .label;
    },
  },

  watch: {
    instructorId(id) {
      this.$store.dispatch("getInstructorById", id);
    },
  },
};
</script>

<style>
</style>